Package net.snowflake.client.jdbc

## Class SnowflakeDriver

- java.lang.Object
- - net.snowflake.client.jdbc.SnowflakeDriver

All Implemented Interfaces:
  `Driver`

Direct Known Subclasses:
  `SnowflakeDriver`

    public class SnowflakeDriver
    extends Object
    implements Driver

JDBC Driver implementation of Snowflake for production. To use this driver, specify the following URL: jdbc:snowflake://host:port

Note: don't add logger to this class since logger init will potentially break driver class loading

### Field Summary

Fields
`protected static boolean` `disableIncidents`
`static Properties` `EMPTY_PROPERTIES`
`static String` `implementVersion`

### Constructor Summary

Constructors
`SnowflakeDriver()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `acceptsURL​(String url)` Checks whether a given url is in a valid format.
`Connection` `connect​(String url, Properties info)` Connect method
`static String` `getDisableArrowResultFormatMessage()`
`int` `getMajorVersion()`
`int` `getMinorVersion()`
`Logger` `getParentLogger()`
`DriverPropertyInfo[]` `getPropertyInfo​(String url, Properties info)`
`static boolean` `isDisableArrowResultFormat()`
`static boolean` `isDisableIncidents()`
`boolean` `jdbcCompliant()`
`static void` `main​(String[] args)`
`static void` `setDisableIncidents​(boolean throttleIncidents)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EMPTY_PROPERTIES

    public static final Properties EMPTY_PROPERTIES

#### implementVersion

    public static String implementVersion

#### disableIncidents

    protected static boolean disableIncidents

### Constructor Detail

#### SnowflakeDriver

    public SnowflakeDriver()

### Method Detail

#### isDisableArrowResultFormat

    public static boolean isDisableArrowResultFormat()

#### getDisableArrowResultFormatMessage

    public static String getDisableArrowResultFormatMessage()

#### acceptsURL

    public boolean acceptsURL​(String url)

Checks whether a given url is in a valid format.

The current uri format is: jdbc:snowflake://[host[:port]]

jdbc:snowflake:// - run in embedded mode jdbc:snowflake://localhost - connect to localhost default port (8080)

jdbc:snowflake://localhost:8080- connect to localhost port 8080

Specified by:
  `acceptsURL` in interface `Driver`
Parameters:
  `url` - url of the database including host and port
Returns:
  true if the url is valid

#### connect

    public Connection connect​(String url,
                              Properties info)
                       throws SQLException

Connect method

Specified by:
  `connect` in interface `Driver`
Parameters:
  `url` - jdbc url
  `info` - addition info for passing database/schema names
Returns:
  connection
Throws:
  `SQLException` - if failed to create a snowflake connection

#### getMajorVersion

    public int getMajorVersion()

Specified by:
  `getMajorVersion` in interface `Driver`

#### getMinorVersion

    public int getMinorVersion()

Specified by:
  `getMinorVersion` in interface `Driver`

#### getPropertyInfo

    public DriverPropertyInfo[] getPropertyInfo​(String url,
                                                Properties info)
                                         throws SQLException

Specified by:
  `getPropertyInfo` in interface `Driver`
Throws:
  `SQLException`

#### jdbcCompliant

    public boolean jdbcCompliant()

Specified by:
  `jdbcCompliant` in interface `Driver`

#### getParentLogger

    public Logger getParentLogger()
                           throws SQLFeatureNotSupportedException

Specified by:
  `getParentLogger` in interface `Driver`
Throws:
  `SQLFeatureNotSupportedException`

#### isDisableIncidents

    public static boolean isDisableIncidents()

#### setDisableIncidents

    public static void setDisableIncidents​(boolean throttleIncidents)

#### main

    public static final void main​(String[] args)